Package uk.ac.starlink.fits

# Enum Class FitsTableWriter.VarArrayMode

java.lang.Object
java.lang.Enum<FitsTableWriter.VarArrayMode>
uk.ac.starlink.fits.FitsTableWriter.VarArrayMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FitsTableWriter.VarArrayMode>`, `Constable`

Enclosing class:
  `FitsTableWriter`

public static enum FitsTableWriter.VarArrayMode extends Enum<FitsTableWriter.VarArrayMode>
Enumeration for variable-length array value storage options. Usually just `TRUE` and `FALSE` will be used, `P` and `Q` are rather special interest.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FALSE`
All arrays are stored as fixed-length in the body of the table.
`P`
Variable-length arrays are stored on the heap, using a 32-bit pointer size ('P' array descriptor) for indirection.
`Q`
Variable-length arrays are stored on the heap, using a 64-bit pointer size ('Q' array descriptor) for indirection.
`TRUE`
Variable-length arrays are stored on the heap, using a suitable pointer size for indirection.

## Method Summary

Modifier and Type
Method
Description
`static FitsTableWriter.VarArrayMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FitsTableWriter.VarArrayMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FALSE

public static final FitsTableWriter.VarArrayMode FALSE
All arrays are stored as fixed-length in the body of the table.

### TRUE

public static final FitsTableWriter.VarArrayMode TRUE
Variable-length arrays are stored on the heap, using a suitable pointer size for indirection.

### P

public static final FitsTableWriter.VarArrayMode P
Variable-length arrays are stored on the heap, using a 32-bit pointer size ('P' array descriptor) for indirection.

### Q

public static final FitsTableWriter.VarArrayMode Q
Variable-length arrays are stored on the heap, using a 64-bit pointer size ('Q' array descriptor) for indirection.

## Method Details

### values

public static FitsTableWriter.VarArrayMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FitsTableWriter.VarArrayMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null